
QGIS Application - Bug report #4943

Georeferenced plugin don't put projection into tif

2012-02-03 06:17 AM - Patrice Vetsel -

Status: Closed

Priority: Normal

Assignee:

Category: C++ plugins/Georeferencer

Affected QGIS version:master Regression?: No

Operating System: ALL Easy fix?: No

Pull Request or Patch supplied:No Resolution: worksforme

Crashes QGIS or corrupts data:No Copied to github as #: 14740

Description

I'm using some, non referenced raster in tif.

I use georeference plugin with some points to make georeferenced tif.

I set projection output.

I obtain a filename_georef.tif and a filename_georef.tif.aux.xml

When I open this filename_georef.tif as a raster layer in QGIS, QGIS ask me what's the projection of this raster.

Why don't QGIS find the projection ?

If I use raster re-projection to set from LAMBERT III->LAMBERT 93, I obtain just ONE file filename.tif

This filename.tif have projection inside, because QGIS don't ask me to set a projection on open this file, and QGIS set it to the right

projection.

So I ask to haev the same behaviour into the georeference plugin. I want to obtain a tif that contain its projection inside.

Regards

History

#1 - 2012-02-04 12:13 AM - Patrice Vetsel -

This morning I was looking at the gdal scripts generated by the georeference plugin. I can't find in it any references to "-s_srs" or "-t_srs" (instead of scripts

generated by raster reprojection).

I think this is why the geotiff don't contain in it it's own projection. Can we fix that ?

#2 - 2012-02-15 01:35 AM - Patrice Vetsel -

- Operating System changed from WindowsXP to ALL

I can confirm that this problem is on all platform (windows/linux/osx), so I change the Platform state.

#3 - 2012-09-04 12:08 PM - Paolo Cavallini

- Target version set to Version 2.0.0

#4 - 2013-07-12 10:42 AM - Paolo Cavallini

- Category set to C++ Plugins
#5 - 2014-06-28 07:41 AM - Jürgen Fischer

- Target version changed from Version 2.0.0 to Future Release - Lower Priority

#6 - 2014-06-29 06:33 AM - Jürgen Fischer

- Category changed from C++ Plugins to C++ plugins/Georeferencer

#7 - 2015-12-07 07:48 AM - Médéric RIBREUX

- Status changed from Open to Feedback

Hello, bug triage...

I can't reproduce this bug in a recent version of QGIS (master or 2.12): georeferenced Tiff have a projection metadata.

Can you confirm this ?

#8 - 2015-12-22 08:01 AM - Giovanni Manghi

- Resolution set to worksforme

- Status changed from Feedback to Closed

this report is quite old and the georeferencer got several bug fixes along the time, even quite recently. Reopen if necessary.
